# persons
This is a API to Persons Registry

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.4
- Package version: 1.0.4.002
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 3.9+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install sysnet-persons
```

Then import the package:
```python
import persons 
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import persons
from persons.rest import ApiException
from pprint import pprint

# Configure API key authorization: apiKey
configuration = persons.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = persons.AdminsApi(persons.ApiClient(configuration))
name = 'name_example' # str | Název tagu

try:
    # odstraní definici tagu  (cruD)
    api_response = api_instance.delete_tag(name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->delete_tag: %s\n" % e)

# Configure API key authorization: apiKey
configuration = persons.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = persons.AdminsApi(persons.ApiClient(configuration))

try:
    # získá konfiguraci konektoru
    api_response = api_instance.get_config()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->get_config: %s\n" % e)

# Configure API key authorization: apiKey
configuration = persons.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = persons.AdminsApi(persons.ApiClient(configuration))
name = 'name_example' # str | Název tagu

try:
    # vrací definici tagu (cRud)
    api_response = api_instance.get_tag(name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->get_tag: %s\n" % e)

# Configure API key authorization: apiKey
configuration = persons.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = persons.AdminsApi(persons.ApiClient(configuration))
tag = 'tag_example' # str | Vyhledání podle tagu (optional)
search = 'search_example' # str | Textové vyhledávání (optional)
start = 56 # int | První dokument na stránce (optional)
page_size = 56 # int | Velikost stránky při stránkovaném výstupu (optional)
page = 56 # int | Číslo stránky výstupu (optional)

try:
    # vrací seznam tagů v systému (autocomplete)
    api_response = api_instance.get_tag_list(tag=tag, search=search, start=start, page_size=page_size, page=page)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->get_tag_list: %s\n" % e)

# Configure API key authorization: apiKey
configuration = persons.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = persons.AdminsApi(persons.ApiClient(configuration))
body = persons.TagItemType() # TagItemType |  (optional)

try:
    # vytvoří nový tag (Crud)
    api_response = api_instance.post_tag(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->post_tag: %s\n" % e)

# Configure API key authorization: apiKey
configuration = persons.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = persons.AdminsApi(persons.ApiClient(configuration))
body = NULL # object |  (optional)

try:
    # aktualizuje hlavní konfiguraci konektoru
    api_response = api_instance.put_config(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->put_config: %s\n" % e)

# Configure API key authorization: apiKey
configuration = persons.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = persons.AdminsApi(persons.ApiClient(configuration))
name = 'name_example' # str | Název tagu
body = persons.TagItemType() # TagItemType |  (optional)

try:
    # aktualizuje definici tagu (crUd)
    api_response = api_instance.put_tag(name, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->put_tag: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://service.sysnet.cz/persons/1.0.4*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AdminsApi* | [**delete_tag**](docs/AdminsApi.md#delete_tag) | **DELETE** /tag/{name} | odstraní definici tagu  (cruD)
*AdminsApi* | [**get_config**](docs/AdminsApi.md#get_config) | **GET** /config | získá konfiguraci konektoru
*AdminsApi* | [**get_tag**](docs/AdminsApi.md#get_tag) | **GET** /tag/{name} | vrací definici tagu (cRud)
*AdminsApi* | [**get_tag_list**](docs/AdminsApi.md#get_tag_list) | **GET** /tag | vrací seznam tagů v systému (autocomplete)
*AdminsApi* | [**post_tag**](docs/AdminsApi.md#post_tag) | **POST** /tag | vytvoří nový tag (Crud)
*AdminsApi* | [**put_config**](docs/AdminsApi.md#put_config) | **PUT** /config | aktualizuje hlavní konfiguraci konektoru
*AdminsApi* | [**put_tag**](docs/AdminsApi.md#put_tag) | **PUT** /tag/{name} | aktualizuje definici tagu (crUd)
*CrzpApi* | [**delete_crzp_person**](docs/CrzpApi.md#delete_crzp_person) | **DELETE** /crzp/person/{crzp_id} | Odstraní CRŽP uuid z osoby
*CrzpApi* | [**get_crzp_person**](docs/CrzpApi.md#get_crzp_person) | **GET** /crzp/person/{crzp_id} | Vrátí subjekt podle CRŽP uuid
*CrzpApi* | [**get_crzp_person_list**](docs/CrzpApi.md#get_crzp_person_list) | **GET** /crzp/person | Vrátí subjekty s vazbou do CRŽP
*CrzpApi* | [**post_crzp_person**](docs/CrzpApi.md#post_crzp_person) | **POST** /crzp/person/{crzp_id} | Přiřadí CRŽP uuid osobě
*CrzpApi* | [**put_crzp_person**](docs/CrzpApi.md#put_crzp_person) | **PUT** /crzp/person/{crzp_id} | Přiřadí CRŽP uuid osobě
*DevelopersApi* | [**info_api**](docs/DevelopersApi.md#info_api) | **GET** /info | vrací servisní informace
*DevelopersApi* | [**info_api_head**](docs/DevelopersApi.md#info_api_head) | **HEAD** /info | vrací informaci o dostupnosti služby
*LinkApi* | [**delete_individual_role**](docs/LinkApi.md#delete_individual_role) | **DELETE** /individual/role/{individual_id} | Odebere roli uživateli
*LinkApi* | [**delete_person_member**](docs/LinkApi.md#delete_person_member) | **DELETE** /person/member/{person_id} | Odebere člena osobě
*LinkApi* | [**delete_person_role**](docs/LinkApi.md#delete_person_role) | **DELETE** /person/role/{person_id} | Odebere roli osobě
*LinkApi* | [**get_individual_roles**](docs/LinkApi.md#get_individual_roles) | **GET** /individual/role/{individual_id} | Získá všechny role pro uživatele
*LinkApi* | [**get_person_members**](docs/LinkApi.md#get_person_members) | **GET** /person/member/{person_id} | Získá všechny uživatele pro osobu
*LinkApi* | [**get_person_roles**](docs/LinkApi.md#get_person_roles) | **GET** /person/role/{person_id} | Získá všechny role pro osobu
*LinkApi* | [**put_individual_role**](docs/LinkApi.md#put_individual_role) | **PUT** /individual/role/{individual_id} | Přiřadí uživateli roli
*LinkApi* | [**put_person_member**](docs/LinkApi.md#put_person_member) | **PUT** /person/member/{person_id} | Přiřadí uživatela za člena osoby
*LinkApi* | [**put_person_role**](docs/LinkApi.md#put_person_role) | **PUT** /person/role/{person_id} | Přiřadí osobě roli
*ManageApi* | [**check_individuals**](docs/ManageApi.md#check_individuals) | **HEAD** /individual/data | Kontroluje existenci kolekce uživatelů
*ManageApi* | [**check_persons**](docs/ManageApi.md#check_persons) | **HEAD** /person/data | Kontroluje existenci kolekce subjektů
*ManageApi* | [**check_roles**](docs/ManageApi.md#check_roles) | **HEAD** /role/data | Kontroluje existenci kolekce rolí
*ManageApi* | [**check_tags**](docs/ManageApi.md#check_tags) | **HEAD** /tag/data | Kontroluje existenci kolekce tagů
*ManageApi* | [**export_individuals**](docs/ManageApi.md#export_individuals) | **GET** /individual/data | Exportuje všechny uživatele ve formátu BSON
*ManageApi* | [**export_persons**](docs/ManageApi.md#export_persons) | **GET** /person/data | Exportuje všechny subjekty ve formátu BSON
*ManageApi* | [**export_roles**](docs/ManageApi.md#export_roles) | **GET** /role/data | Exportuje všechny role ve formátu BSON
*ManageApi* | [**export_tags**](docs/ManageApi.md#export_tags) | **GET** /tag/data | Exportuje všechny tagy ve formátu BSON
*ManageApi* | [**import_individuals**](docs/ManageApi.md#import_individuals) | **PUT** /individual/data | Importuje uživatele
*ManageApi* | [**import_individuals_replace**](docs/ManageApi.md#import_individuals_replace) | **POST** /individual/data | Nahradí všechny uživatele
*ManageApi* | [**import_persons**](docs/ManageApi.md#import_persons) | **PUT** /person/data | Importuje subjekty
*ManageApi* | [**import_persons_replace**](docs/ManageApi.md#import_persons_replace) | **POST** /person/data | Nahradí všechny subjekty
*ManageApi* | [**import_roles**](docs/ManageApi.md#import_roles) | **PUT** /role/data | Importuje role
*ManageApi* | [**import_roles_replace**](docs/ManageApi.md#import_roles_replace) | **POST** /role/data | Nahradí všechny role
*ManageApi* | [**import_tags**](docs/ManageApi.md#import_tags) | **PUT** /tag/data | Importuje tagy
*ManageApi* | [**import_tags_replace**](docs/ManageApi.md#import_tags_replace) | **POST** /tag/data | Nahradí všechny tagy
*Manage2Api* | [**get_all_individuals**](docs/Manage2Api.md#get_all_individuals) | **GET** /all/individuals | Vrací všechny uživatele pro Admin Portal
*Manage2Api* | [**get_all_persons**](docs/Manage2Api.md#get_all_persons) | **GET** /all/persons | Vrací všechny subjekty pro Admin Portal
*Manage2Api* | [**get_all_roles**](docs/Manage2Api.md#get_all_roles) | **GET** /all/roles | Vrací všechny role pro Admin Portal
*Manage2Api* | [**get_all_tags**](docs/Manage2Api.md#get_all_tags) | **GET** /all/tags | Vrací všechny tagy pro Admin Portal
*PublicApi* | [**delete_individual**](docs/PublicApi.md#delete_individual) | **DELETE** /individual/{identifier} | odstraní registrační dokument jednotlivce s daným identifikátorem (cruD)
*PublicApi* | [**delete_person**](docs/PublicApi.md#delete_person) | **DELETE** /person/{identifier} | odstraní registrační dokument subjektu s daným identifikátorem (cruD)
*PublicApi* | [**delete_role**](docs/PublicApi.md#delete_role) | **DELETE** /role/{identifier} | odstraní roli s daným identifikátorem (cruD)
*PublicApi* | [**get_context**](docs/PublicApi.md#get_context) | **GET** /context/{identifier} | vrací kontext jednotlivce
*PublicApi* | [**get_individual**](docs/PublicApi.md#get_individual) | **GET** /individual/{identifier} | vrací registrační dokument jednotlivce s daným identifikátorem (cRud)
*PublicApi* | [**get_individual_list**](docs/PublicApi.md#get_individual_list) | **GET** /individual | vrací seznam jednotlivců (autocomplete)
*PublicApi* | [**get_person**](docs/PublicApi.md#get_person) | **GET** /person/{identifier} | vrací registrační dokument subjektu s daným identifikátorem (cRud)
*PublicApi* | [**get_person_list**](docs/PublicApi.md#get_person_list) | **GET** /person | vrací seznam subjektů (autocomplete)
*PublicApi* | [**get_role**](docs/PublicApi.md#get_role) | **GET** /role/{identifier} | vrací roli s daným identifikátorem (cRud)
*PublicApi* | [**get_role_list**](docs/PublicApi.md#get_role_list) | **GET** /role | vrací seznam rolí (autocomplete)
*PublicApi* | [**get_tag_list**](docs/PublicApi.md#get_tag_list) | **GET** /tag | vrací seznam tagů v systému (autocomplete)
*PublicApi* | [**post_individual**](docs/PublicApi.md#post_individual) | **POST** /individual | vytvoří nový egistrační záznam jednotlivého uživatele  (Crud)
*PublicApi* | [**post_person**](docs/PublicApi.md#post_person) | **POST** /person | vytvoří nový registrační záznam subjektu (Crud)
*PublicApi* | [**post_role**](docs/PublicApi.md#post_role) | **POST** /role | vytvoří novou roli  (Crud)
*PublicApi* | [**put_individual**](docs/PublicApi.md#put_individual) | **PUT** /individual/{identifier} | aktualizuje registrační dokument jednotlivce s daným identifikátorem (crUd)
*PublicApi* | [**put_person**](docs/PublicApi.md#put_person) | **PUT** /person/{identifier} | aktualizuje registrační dokument subjektu s daným identifikátorem (crUd)
*PublicApi* | [**put_role**](docs/PublicApi.md#put_role) | **PUT** /role/{identifier} | aktualizuje roli s daným identifikátorem (crUd)
*ReferenceApi* | [**delete_reference_person**](docs/ReferenceApi.md#delete_reference_person) | **DELETE** /reference/person/{person_id} | Odstraní referenční strukturu osoby
*ReferenceApi* | [**get_reference_person**](docs/ReferenceApi.md#get_reference_person) | **GET** /reference/person/{reference_id} | Vrátí subjekt podle referečního uuid
*ReferenceApi* | [**get_reference_person_list**](docs/ReferenceApi.md#get_reference_person_list) | **GET** /reference/person | Vrátí subjekty s odkazem
*ReferenceApi* | [**post_reference_person**](docs/ReferenceApi.md#post_reference_person) | **POST** /reference/person/{person_id} | Zapíše referenční strukturu osoby
*ReferenceApi* | [**put_reference_person**](docs/ReferenceApi.md#put_reference_person) | **PUT** /reference/person/{person_id} | Přepíše referenční strukturu osoby
*ReferenceApi* | [**sync_crzp_person**](docs/ReferenceApi.md#sync_crzp_person) | **POST** /crzp/synchronize/person/{crzp_id} | Synchronizuje osobu s CRŽP
*ReferenceApi* | [**sync_person**](docs/ReferenceApi.md#sync_person) | **POST** /synchronize/person/{person_id} | Synchronizuje osobu

## Documentation For Models

 - [BaseListSearchExtensionType](docs/BaseListSearchExtensionType.md)
 - [BaseListType](docs/BaseListType.md)
 - [BirthDateType](docs/BirthDateType.md)
 - [CodeValueType](docs/CodeValueType.md)
 - [ContactType](docs/ContactType.md)
 - [ContextType](docs/ContextType.md)
 - [ContextTypePersons](docs/ContextTypePersons.md)
 - [ContextTypeRoles](docs/ContextTypeRoles.md)
 - [DateTimeType](docs/DateTimeType.md)
 - [DepartmentType](docs/DepartmentType.md)
 - [DocumentEntry](docs/DocumentEntry.md)
 - [DocumentEntryList](docs/DocumentEntryList.md)
 - [DocumentMetadataType](docs/DocumentMetadataType.md)
 - [ErrorModel](docs/ErrorModel.md)
 - [GeoPointJtskType](docs/GeoPointJtskType.md)
 - [GeoPointType](docs/GeoPointType.md)
 - [IdentifierType](docs/IdentifierType.md)
 - [IndividualListType](docs/IndividualListType.md)
 - [IndividualType](docs/IndividualType.md)
 - [IssuingType](docs/IssuingType.md)
 - [LocationType](docs/LocationType.md)
 - [MailAddressType](docs/MailAddressType.md)
 - [MemberType](docs/MemberType.md)
 - [PersonLinkType](docs/PersonLinkType.md)
 - [PersonListItem](docs/PersonListItem.md)
 - [PersonListType](docs/PersonListType.md)
 - [PersonType](docs/PersonType.md)
 - [PersonTypeType](docs/PersonTypeType.md)
 - [PhoneNumberType](docs/PhoneNumberType.md)
 - [PidType](docs/PidType.md)
 - [ReferenceRegistry](docs/ReferenceRegistry.md)
 - [RoleCategoryType](docs/RoleCategoryType.md)
 - [RoleListItem](docs/RoleListItem.md)
 - [RoleListType](docs/RoleListType.md)
 - [RoleType](docs/RoleType.md)
 - [TagItemType](docs/TagItemType.md)
 - [TagListType](docs/TagListType.md)
 - [TagType](docs/TagType.md)

## Documentation For Authorization


## apiKey

- **Type**: API key
- **API key parameter name**: X-API-KEY
- **Location**: HTTP header


## Author

info@sysnet.cz
